Subject: Re: slaters

From: martin jackson <[email-masked]>
Date: Tue, 24 Feb 1998 19:03:09 +0800

Barb yes I have some twenty 1m high paulonia trees grown from seed.
they seem to be easy to grow, and I'm told they are the fastest growing
tree in the world!
I have yet to see how they go when I plant them down on the block this winter.

By the way slaters are armadilo like bugs that eat into the root systems of
your pot plants.

cheers

Martin

At 21:12 23/02/1998 -0700, you wrote:
>Would someone please tell me what a slater is ??? Is it like a slug???
>Where did this question come from, what part of the country???
>I just joined this list.
>Does anyone or has anyone, ever grown Paulownia trees??? Would love to
>hear your experience.
>Thank you.
>
>-"Tears are liquid prayers"  Barb 
>
>